Subject: Re: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Stefan Monnier <[email-masked]>
Date: Thu, 21 Jul 2022 11:07:20 -0400

>> > And second, why cannot/shouldn't it bind inhibit-redisplay?
>> Because code within a `save-selected-window` may want to use `sit-for`,
>> `read-event`, `recursive-edit`, `read-from-minibuffer`, ..
> You assume the binding should be in effect while BODY runs.  But
> that's not needed: you only need to do that around the call to
> select-window (if at all).

Ah, that's better, indeed.

I'd rather make `select-window` take an explicit arg (or a special
value of `norecord`) rather than pass that arg implicitly via
a dynbound variable (especially one like `inhibit-redisplay` whose name
doesn't say clearly what it has to do with `select-window`).

        Stefan